unit lcd1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DigitLed, StdCtrls,LedGroup, Spin, Buttons;

type

  TForm1 = class(TForm)
    DigitLed1: TDigitLed;
    SpinButton1: TSpinButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    bar1: TSpeedButton;
    bar2: TSpeedButton;
    bar6: TSpeedButton;
    bar3: TSpeedButton;
    bar5: TSpeedButton;
    bar4: TSpeedButton;
    point: TSpeedButton;
    bar7: TSpeedButton;
    diag1: TSpeedButton;
    diag2: TSpeedButton;
    diag3: TSpeedButton;
    diag4: TSpeedButton;
    Timer1: TTimer;
    Shape3: TShape;
    Shape4: TShape;
    Shape1: TShape;
    Shape2: TShape;
    LedGroup1: TLedGroup;
    LedCounter: TLedGroup;
    LedHour: TLedGroup;
    LedMin: TLedGroup;
    LedSec: TLedGroup;
    rb7: TRadioButton;
    rb11: TRadioButton;
    procedure Swap(bar:TDigitBars);
    procedure Button4Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure bar1Click(Sender: TObject);
    procedure bar2Click(Sender: TObject);
    procedure bar3Click(Sender: TObject);
    procedure bar4Click(Sender: TObject);
    procedure bar5Click(Sender: TObject);
    procedure bar6Click(Sender: TObject);
    procedure bar7Click(Sender: TObject);
    procedure diag1Click(Sender: TObject);
    procedure diag2Click(Sender: TObject);
    procedure diag3Click(Sender: TObject);
    procedure diag4Click(Sender: TObject);
    procedure pointClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure rb11Click(Sender: TObject);
  private
    { Private declarations }
    Counter: Byte;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}






procedure TForm1.Swap;
begin
if TDigitBars(bar) in DigitLed1.Segments then DigitLed1.Segments:=DigitLed1.Segments-[TDigitBars(bar)]
                              else DigitLed1.Segments:=DigitLed1.Segments+[TDigitBars(bar)];
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
swap(bFour);
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
swap(bPoint);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Counter:=1;
end;

procedure TForm1.SpinButton1DownClick(Sender: TObject);
begin
dec(counter);
if counter>=0 then LedCounter.caption:=copy(IntToStr(counter)+' ',1,2)
              else counter:=0;
end;

procedure TForm1.SpinButton1UpClick(Sender: TObject);
begin
inc(counter);
if counter<=99 then LedCounter.caption:=copy(IntToStr(counter)+' ',1,2)
               else Counter:=99;
end;



procedure TForm1.Edit1Change(Sender: TObject);
begin
//LedGroup1.Caption:=copy(Edit1.Text+'           ',1,LedGroup1.MaxDigits);
LedGroup1.caption:=edit1.text;
end;

procedure TForm1.bar1Click(Sender: TObject);
begin
swap(bOne);
end;

procedure TForm1.bar2Click(Sender: TObject);
begin
swap(bTwo);
end;

procedure TForm1.bar3Click(Sender: TObject);
begin
swap(bThree);
end;

procedure TForm1.bar4Click(Sender: TObject);
begin
swap(bFour);
end;

procedure TForm1.bar5Click(Sender: TObject);
begin
swap(bFive);
end;

procedure TForm1.bar6Click(Sender: TObject);
begin
swap(bSix);
end;

procedure TForm1.bar7Click(Sender: TObject);
begin
swap(bSeven);
end;

procedure TForm1.diag1Click(Sender: TObject);
begin
swap(bDiagOne);
end;

procedure TForm1.diag2Click(Sender: TObject);
begin
swap(bDiagTwo);
end;

procedure TForm1.diag3Click(Sender: TObject);
begin
swap(bDiagThree);
end;

procedure TForm1.diag4Click(Sender: TObject);
begin
swap(bDiagFour);
end;

procedure TForm1.pointClick(Sender: TObject);
begin
swap(bPoint);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
LedHour.Caption:=copy(TimeToStr(now),1,2);
LedMin.Caption:=copy(TimeToStr(now),4,2);
LedSec.Caption:=copy(TimeToStr(now),7,2);
end;








procedure TForm1.rb11Click(Sender: TObject);
begin
if rb11.Checked then LedGroup1.LedStyle:=lsElevenBars
                else LedGroup1.LedStyle:=lsSevenBars;
end;

end.
